<section class="container">
<?php

    foreach ($AlbumsOfArtists as $AlbumsOfArtist) {
        echo "<div class='album'><article>";
        echo "<header class='album-title'>";
        echo "<br>";
        echo "</header>";
        echo '<img src="data:image/jpeg;base64,' . base64_encode($AlbumsOfArtist->jpeg) . '" alt="' . $AlbumsOfArtist->name . '" />';
        echo "<footer class='short-text'>$AlbumsOfArtist->year</footer>";

        // Ajout du formulaire pour ajouter toutes les chansons de l'album à une playlist
        echo "<form action='" . base_url('index.php/albums/addAllSongsToPlaylist') . "' method='post'>";
        echo "<input type='hidden' name='album_id' value='{$AlbumsOfArtist->id}'>";
        echo "<select name='playlist'>";
        foreach($playlists as $playlist){
            echo "<option value='{$playlist->id}'>{$playlist->name}</option>";
        }
        echo "</select>";
        echo "<button type='submit'>Ajouter toutes les chansons</button>";
        echo "</form>";
        echo "</article></div>";
    
}
?>
</section>


